import { baseURL } from '@/utils/http'
import { useEffect, useRef } from 'react'

export default function NotFound() {
  const timeRef = useRef(-1)

  useEffect(() => {
    timeRef.current = window.setTimeout(() => {
      const dom: HTMLDivElement = document.querySelector('.noFindPage')!
      dom.style.opacity = '1'
    }, 500)
    return () => {
      clearTimeout(timeRef.current)
    }
  }, [])

  return (
    <div className='noFindPage'>
      <img src={baseURL + '/baseData/staImg/404.png'} alt='' />
      <p>抱歉，系统错误， </p>
      <p>您可以选择尝试清除缓存或联系管理员</p>
      <div>
        <p>应用归属单位：义乌市博物馆</p>
        <p>应用管理员：李亮</p>
        <p>联系方式：18767178372</p>
      </div>
    </div>
  )
}
